0
votes
0answers
33 views

install ImageMagic library to php

When i try to sudo pecl install imagick i get this message: Can't find PHP headers in /usr/include/php The php-devel package is required for use of this command. ERROR: `phpize' failed And sudo ...
1
vote
0answers
144 views

pecl_http : Apache is unable to load http.so

I'm using MAMP 2.1.3 with Mac OS 10.8.3. I've just installed the pecl_http extension with Mac Ports + PECL. The http.so exists and is in (correctly set in php.ini) : ...
1
vote
1answer
569 views

Install pecl extension on ubuntu after upgrading to php 5.4

I had php 5.3 installed and upgrade to 5.4 using this PPA https://launchpad.net/~ondrej/+archive/php5 - everything went smoothly. My old pecl extensions, such as oauth, wern't enabled, so I ...
0
votes
0answers
150 views

pear install asking questions / auto accept defaults?

I need to install several Pear packages and one Pecl package in a bash script that configures an ubuntu server. One of the packages asks several questions, each of which has a default response if you ...
0
votes
1answer
2k views

Installing PHP-FPM (PHP 5.4) on Ubuntu with NGiNX

Here is the cmd: pecl install apc Result: downloading APC-3.1.9.tgz ... Starting to download APC-3.1.9.tgz (155,540 bytes) .................................done: 155,540 bytes 54 source files, ...
8
votes
2answers
4k views

pecl install mongo - keeps compiling with wrong module API

Working with Ubuntu 12.04 here, nginx and php5-fpm I had mongo working well on php 5.3, then I added the ondrej/php5 ppa and updated to php5.4. It kept GD and CURL extensions, but not mongo. I ...
3
votes
2answers
4k views

$PHP_AUTOCONF errors on mac os x 10.7.3 when trying to install pecl extensions

I am trying to setup my machine with pecl_http and memcache and in both cases, I get similar errors. This is on MAC OS X 10.7.3 (lion) and I also have XCODE installed on it. I also installed Zend ...
1
vote
1answer
2k views

I cannot install APC

I have php 5.3.6 and ubuntu. I want to install APC. When I do the $ pecl install apc, I eventually get an error: In file included from /tmp/pear/temp/APC/apc.c:44:0: ...
0
votes
1answer
885 views

How can I manually install pecl_http on Ubuntu 9.10?

This is essentially a repost of http://stackoverflow.com/questions/4159369/ubuntu-9-04-pecl-extension-downloads-but-does-not-install. Hoping maybe someone can help me here. I've done this: sudo ...
-1
votes
2answers
928 views

install PECL JSON in PHP 5.04

It's OK (compatible) to install PECL native JSON (from here) in PHP 5.0.4, on a production server running FC4 where unfortunately I cannot update PHP to at least 5.2 ? If there is a good chance to ...
9
votes
2answers
11k views

Installing imagick PHP extension on Ubuntu

I'm trying to install the imagick pecl extension on my Ubuntu server and am getting the below error. I've installed the ImageMagick rpm using aptitude already and the pecl extension is version 2.3.0. ...